jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.it-software-technology-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'it_software_technology_dismiss_notice'
        });
    });
});